﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Material.Api.DTO;

namespace BPA.SaaS.Material.Api.IService
{
    public interface IUnitService
    {
        /// <summary>
        /// 获取类型列表
        /// </summary>
        /// <returns></returns>
        Task<BaseResult<List<UnitDto>>> GetUnitList();

        /// <summary>
        /// 类型查询
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<BaseResultPage<UnitDtoQuery>> PostType(UnitDtoQuery dto);

        /// <summary>
        /// 添加商品类型
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<BaseResult<bool>> AddType(UnitDto dto);

        /// <summary>
        /// 修改类型
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<BaseResult<bool>> UpdateType(UnitDto dto);

        /// <summary>
        /// 删除类型
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<BaseResult<bool>> DeleteType(string id);

        /// <summary>
        /// 批量删除类型
        /// </summary>
        /// <param name="Ids"></param>
        /// <returns></returns>
        Task<BaseResult<bool>> BatchDeleteType(string[] Ids);
    }
}