﻿using BPA.Component.ApolloClient;
using BPA.Component.DbClient;
using BPA.Component.RabbitMQClient.Connection;
using Com.Ctrip.Framework.Apollo;
using Microsoft.Extensions.Configuration;

namespace BPA.SaaS.Material.Api.Model;

/// <summary>
/// BasicWebApiConfig
/// </summary>
// ReSharper disable once ClassNeverInstantiated.Global
public class MaterialApiConfig : ApolloBPAConfig<MaterialApiConfig>
{
    /// <summary>
    /// BasicMySqlDb
    /// </summary>
    [AutoWrite]
    public new DbConfig MaterialMySqlDb { get; set; }

    /// <summary>
    /// RedisConfig
    /// </summary>
    [AutoWrite]
    public new List<string> RedisConfig { set; get; }

    /// <summary>
    /// 是否打印SQL
    /// </summary>
    [AutoWrite]
    public bool IsLogSql { get; set; } = true;

    /// <summary>
    /// RabbitMQ配置
    /// </summary>
    [AutoWrite]
    public new RabbitMqConnectionConfig RabbitMqConfig { get; set; }

    public MaterialApiConfig(ApolloConfigurationManager apolloConfigurationManager, IConfiguration configuration) : base(apolloConfigurationManager, configuration)
    {
    }
}