﻿using BPA.Component.DbClient;
using BPA.Component.DbClient.RepositoryModel;
using BPA.Component.DTOCommon.BaseDTOs;
using BPA.Component.Extensions;
using BPA.SaaS.Material.Api.DTO;
using BPA.SaaS.Material.Api.Entity;
using BPA.SaaS.Material.Api.IRepository;
using BPA.SaaS.Material.Api.Model;

namespace BPA.SaaS.Material.Api.Repository;

public class UnitRepository : BaseDbRepository<MaterialDbSugarClient, BPA_Unit>, IUnitRepository
{
    public UnitRepository(MaterialDbSugarClient dbClient) : base(dbClient)
    {
    }

    /// <summary>
    /// 获取产品列表
    /// </summary>
    /// <returns></returns>
    public async Task<BaseResult<List<UnitDto>>> GetUnitList() =>
        BaseResult<List<UnitDto>>
            .BuildOK((await SimpleClient.AsQueryable().Where(a => a.IsDeleted).ToListAsync())
                .MapToList<UnitDto, BPA_Unit>()
                .ToList());

    /// <summary>
    /// 
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    /// <exception cref="NotImplementedException"></exception>
    public Task<BaseResultPage<UnitDtoQuery>> PostType(UnitDtoQuery dto)
    {
        throw new NotImplementedException();
    }

    public Task<BaseResult<bool>> AddType(UnitDto dto)
    {
        throw new NotImplementedException();
    }

    public Task<BaseResult<bool>> UpdateType(UnitDto dto)
    {
        throw new NotImplementedException();
    }

    public Task<BaseResult<bool>> DeleteType(string id)
    {
        throw new NotImplementedException();
    }

    public Task<BaseResult<bool>> BatchDeleteType(string[] Ids)
    {
        throw new NotImplementedException();
    }
}