﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Material.Api.DTO;
using BPA.SaaS.Material.Api.IService;
using Microsoft.AspNetCore.Mvc;

namespace BPA.SaaS.Material.Api.WebApi;

[ApiController]
[Route("api/[controller]/[action]")]
public class UnitController : ControllerBase
{
    private readonly IUnitService _unitService;

    public UnitController(IUnitService unitService)
    {
        _unitService = unitService;
    }

    /// <summary>
    /// 获取单位列表
    /// </summary>
    /// <returns></returns>
    [HttpGet]
    public Task<BaseResult<List<UnitDto>>> GetUnitList() => _unitService.GetUnitList();
}